Opened 7 years ago

Closed 4 years ago

#7630 closed defect (fixed)

vidalia for MacOSX has incorrect library paths

Reported by: itsme Owned by: erinn
Priority: Medium Milestone:
Component: Applications/Tor bundles/installation Version:
Severity: Keywords: needs-triage
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

starting vidalia from https://www.torproject.org/dist/vidalia-bundles/vidalia-bundle-0.2.3.25-0.2.21-i386.dmg

i get the following error message:

~ $ /Applications/Vidalia.app/Contents/MacOS/Vidalia 
dyld: Library not loaded: /builds/torbrowser-stable/build-scripts/build/i386/built/lib/libcrypto.1.0.0.dylib
  Referenced from: /Applications/Vidalia.app/Contents/MacOS/../Frameworks/libssl.1.0.0.dylib
  Reason: image not found

checking with otool -L, shows that both libcrypto and libssl have incorrect library loader paths:

/Volumes/Vidalia Bundle 0.2.21/Vidalia.app/Contents/Frameworks/libcrypto.1.0.0.dylib:
	/builds/torbrowser-stable/build-scripts/build/i386/built/lib/libcrypto.1.0.0.dylib (compatibility version 1.0.0, current version 1.0.0)
	/builds/torbrowser/build-scripts/build/i386/built/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.7)
/Volumes/Vidalia Bundle 0.2.21/Vidalia.app/Contents/Frameworks/libssl.1.0.0.dylib:
	/builds/torbrowser-stable/build-scripts/build/i386/built/lib/libssl.1.0.0.dylib (compatibility version 1.0.0, current version 1.0.0)
	/builds/torbrowser-stable/build-scripts/build/i386/built/lib/libcrypto.1.0.0.dylib (compatibility version 1.0.0, current version 1.0.0)
	/builds/torbrowser/build-scripts/build/i386/built/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.7)

somehow install_name_tool failed to run for libssl and libcrypto

Child Tickets

Change History (4)

comment:1 Changed 7 years ago by itsme

the correct paths should look like this:

@executable_path/../Frameworks/libcrypto.1.0.0.dylib
@executable_path/../Frameworks/libssl.1.0.0.dylib
@executable_path/../Frameworks/libz.1.dylib

comment:2 Changed 7 years ago by arma

Component: VidaliaTor bundles/installation
Owner: changed from chiiph to erinn

comment:3 Changed 5 years ago by erinn

Keywords: needs-triage added

comment:4 Changed 4 years ago by cypherpunks

Resolution: fixed
Status: newclosed

If it's for Tor bundles/installation then: Vidalia is deprecated.

Note: See TracTickets for help on using tickets.